Subject: bug#33913: 26.1; Optionally not font-lock newline char when `comment-end' = ""

From: Drew Adams <[email-masked]>
Date: Sun, 30 Dec 2018 10:23:06 -0800 (PST)

>  > Please consider letting users easily (e.g. user option) not highlight a
>  > newline character when it ends a comment, such as in Lisp.
>  >
>  > The effect should be to highlight only the chars of the line, starting
>  > with `comment-start', up to but not including the newline char.
> 
> For my private solution to this problem look at the attached file.

Maybe you could fix that up to become a
general replacement, to fix this bug (only)?

But I do think a user option might be good,
or even a non-option variable.

>  > (I never would have noticed how annoying the default behavior is if
>  > I hadn't tried putting a background color on comments, as the OP
>  > did.  I don't even think it should be the default behavior to
>  > highlight the newline char.)
> 
> Fully agreed.

I doubt that such an incompatible change (to
the default) would be accepted immediately.
But a fix for the bug might be.